XPING(8)

NAME
xping, xping-http - A terminal based, adhoc, multi target probe tool

SYNOPSIS
xping,
xping-http [-46ATVah] [-c count] [-i interval] [-w width] [target [...]]

DESCRIPTION
xping is a simple ping program continiously probing multiple hosts using ICMP-ECHO. As packets are received dots are printed on the screen. Hosts not responding before next packet is due will get a questionmark in the display. The probing stops when SIGINT is received. Host to be probed are taken from argument list or read from stdin.

xping-http performs a full TCP connect and a slim HTTP GET request. Responses are scanned for a HTTP 200 response code and printed as dots on the screen. Requests time out three times after specified transmit interval. Thus three requests are inflight at a time.

OPTIONS

-4  Force xping to resolve IPv4 address only.

-6  Force xping to resolve IPv6 address only.

-A  Print a bell character on stdout when a packet is missed within interval. If given multiple times only print bell if host goes from a responsive state to unresponsive state (e.g. ..??).

-a  Print a bell character on stdout on replies. If given multiple times only print bell if host goes from unresponsive to responsive (e.g. ??..).

-C  Color resolved hostname according to address family (IPv4 red, IPv6 green).

-c count
    Send count probes in a non-interactive fashion. Default is to operate interactively and keep sending probes.

-h  Display program usage and exit.

-i interval
    Specifies interval between successive packets to a host. Default is 1.0 seconds.

-T  Track changes to resolved hostname, honoring TTL values. If not specified xping will still retry unresolved hostnames.

-V  Print the "version" of xping and exit.

-w width
    Let host labels be width characters wide. Default is 20.

LEGEND

.   Reply received.

:   Reply received after timeout (recovered).

?   Timeout - interval passed without any reply.

#   Unreachable - the packet could not be delivered.

%   Other error e.g. TTL expired in transit.

@   Resolving - waiting for dns lookup to complete.

!   sendto error e.g. permission denied or no route to destination.

"   Duplicate of some other entry.

xping inteprets the target as either ipv4 address (in dotted decimal notation), ipv6 address, or as a hostname. xping-http inteprets the target as an url with optional brackets after the hostname to force a specific address to be used.

        http://192.0.2.100/
        http://www.google.com:80/
        http://www.google.com[127.0.0.1]/

DIAGNOSTICS

socket: Operation not permitted
    xping could not open a raw socket. Program should be setuid root or started as root.

regcomp: error compiling regular expression
    xping-http could not compile the regular expression used for parsing urls. This usually means a programming error.

probe_add: can't parse ...
    xping-http could not parse url to something meaningful. Check that argument is a valid url.

AUTHORS
xping was written by Martin Topholm.

xping uses libevent2 by Niels Provos and Nick Mathewson, and uthash and utlist by Troy D. Hanson.

BUGS
xping is not very informative on errors. Terminal display may flicker when running without ncurses. xping-http doesn't support SSL.

Probably more.